Subsail Help Docs

Search...
K

Get the current user and account

Get the current user and account

Overview

Verify an API key and return the authenticated user's email, the account the key is scoped to, and the key's permission scope.

gethttps://api.subsail.com/v1/me/

Request parameters

No parameters.

Request body

No request body.

Request examples

No request body.

Responses

200Authenticated user context
emailstringRequired

Email address of the user who owns this API key.

accountAccountRefRequired

Object (AccountRef):

namestringRequired

Account name.

subdomainstringRequired

Account subdomain (e.g. apimag for apimag.subsail.com).

scoperead_only | read_writeRequired

Permission of this API key. read_only keys can query; read_write keys can also PATCH and POST.

Example

JSON
{
  "email": "<string>",
  "account": {
    "name": "<string>",
    "subdomain": "<string>"
  },
  "scope": "<read_only | read_write>"
}
401Missing or invalid API key (empty response body).
403Account is inactive (empty response body).

© Subsail Help Docs

Powered by Basedoc